#include <iostream>

using namespace std;

int main()
{
    unsigned long int N, K;
    cin >> N >> K;
    unsigned long int gadjanja[N];
    unsigned long int polja[N];
    unsigned long int stvarnapolja[N];
    unsigned long int brojac = 0;
    unsigned long int brojpolja = 0;
    unsigned long int brojstvarnihpolja = 0;
    for (unsigned long int i = 0; i < N; i++)
    {
        cin >> gadjanja[i];
    }
    if (K == 1)
    {
        for (unsigned long int i = 0; i < N; i++)
        {
            polja[brojpolja] = gadjanja[i];
            brojpolja++;
        }
    }
    else
    {
        for (unsigned long int i = 0; i < N - 1; i++)
        {
            for (unsigned long int j = i + 1; j < N; j++)
            {
                if (gadjanja[i] == gadjanja[j])
                {
                    brojac++;
                    if (brojac >= K - 1)
                    {
                        polja[brojpolja] = gadjanja[i];
                        brojpolja++;
                    }
                }
            }
            brojac = 0;
        }
    }
    for (unsigned long int i = 0; i < brojpolja; i++)
    {
        unsigned long int j = 0;
        for (j = 0; j < i; j++)
            if (polja[i] == polja[j])
            {
                break;
            }
            if (i == j)
            {
                stvarnapolja[brojstvarnihpolja] = polja[i];
                brojstvarnihpolja++;
            }
    }
    cout << brojstvarnihpolja << endl;
    for (unsigned long int i = 0; i < brojstvarnihpolja; i++)
    {
        cout << stvarnapolja[i] << " ";
    }

}